NegativeInteger (Axis API)
Keywords: org.apache.axis.types.NegativeInteger class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class NegativeInteger

    java.lang.Object
      java.lang.Number
          java.math.BigInteger
              org.apache.axis.types.NonPositiveInteger
                  org.apache.axis.types.NegativeInteger

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class NegativeInteger
extends NonPositiveInteger

Custom class for supporting primitive XSD data type negativeinteger negativeInteger is derived from nonPositiveInteger by setting the value of maxInclusive to be -1. This results in the standard mathematical concept of the negative integers. The value space of negativeInteger is the infinite set {...,-2,-1}. The base type of negativeInteger is nonPositiveInteger.

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.15, Serialized Form

Nested Class Summary
`protected static class` | `NegativeInteger.BigIntegerRep`

Field Summary

Fields inherited from class java.math.BigInteger
`ONE, ZERO`

Constructor Summary
`NegativeInteger(byte[] val)`
`NegativeInteger(int signum, byte[] magnitude)`
`NegativeInteger(int bitLength, int certainty, java.util.Random rnd)`
`NegativeInteger(int numBits, java.util.Random rnd)`
`NegativeInteger(java.lang.String val)`
`NegativeInteger(java.lang.String val, int radix)`

Method Summary
`java.lang.Object` | `writeReplace()` Work-around for http://developer.java.sun.com/developer/bugParade/bugs/4378370.html

Methods inherited from class java.math.BigInteger
`abs, add, and, andNot, bitCount, bitLength, clearBit, compareTo, compareTo, divide, divideAndRemainder, doubleValue, equals, flipBit, floatValue, gcd, getLowestSetBit, hashCode, intValue, isProbablePrime, longValue, max, min, mod, modInverse, modPow, multiply, negate, not, or, pow, probablePrime, remainder, setBit, shiftLeft, shiftRight, signum, subtract, testBit, toByteArray, toString, toString, valueOf, xor`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NegativeInteger

    public NegativeInteger(byte[] val)

### NegativeInteger

    public NegativeInteger(int signum,
                           byte[] magnitude)

### NegativeInteger

    public NegativeInteger(int bitLength,
                           int certainty,
                           java.util.Random rnd)

### NegativeInteger

    public NegativeInteger(int numBits,
                           java.util.Random rnd)

### NegativeInteger

    public NegativeInteger(java.lang.String val)

### NegativeInteger

    public NegativeInteger(java.lang.String val,
                           int radix)

Method Detail

### writeReplace

    public java.lang.Object writeReplace()
                                  throws java.io.ObjectStreamException

  Work-around for http://developer.java.sun.com/developer/bugParade/bugs/4378370.html

  Overrides:
    `writeReplace` in class `NonPositiveInteger`
  Returns:
    BigIntegerRep
  Throws:
    `java.io.ObjectStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.